Index: orxonox/trunk/gui/orxonox_gui.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui.cc	(revision 2736)
+++ orxonox/trunk/gui/orxonox_gui.cc	(revision 2737)
@@ -871,5 +871,5 @@
    \param text The text to be inserted into the Label.
 */
-void Label::setText (char * text)
+void Label::setText (char* text)
 {
   label = text;
Index: orxonox/trunk/gui/orxonox_gui.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui.h	(revision 2736)
+++ orxonox/trunk/gui/orxonox_gui.h	(revision 2737)
@@ -268,5 +268,5 @@
   void init(void);
   
-  void setText (char * text);
+  void setText (char* text);
   char* getText ();
 };
Index: orxonox/trunk/gui/orxonox_gui_keys.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui_keys.cc	(revision 2736)
+++ orxonox/trunk/gui/orxonox_gui_keys.cc	(revision 2737)
@@ -125,28 +125,34 @@
    \returns Nothing
 */
-gint key_cb(GtkWidget* w, GdkEventKey* event, void* Widget)
-{
+gint Player::key_cb(GtkWidget* w, GdkEventKey* event, void* widget)
+{
+  Label* label = static_cast<Label*>(widget);
+
   switch(event->keyval) {
-
   case GDK_Up:
     printf("Up arrow key!\n");
-    static_cast<Label*>(Widget)->setText("up");
+    label->setText("up");
     break;
   case GDK_Down:
     printf("Down arrow key!\n");
+    label->setText("down");
+    break;
+  case GDK_Left:
+    printf("Left arrow key!\n");
+    label->setText("left");
     break;
   case GDK_Right:
     printf("Right arrow key!\n");
-    break;
-  case GDK_Left:
-    printf("Left arrow key!\n");
+    label->setText("right");
     break;
 
   case GDK_space:
     printf("Space Pressed.\n");
+    label->setText("space");
     break;
 
   case 65293:
     printf("Enter Pressed\n");
+    label->setText("enter");
     break;
 
@@ -154,61 +160,82 @@
   case GDK_Shift_L:
     printf("Left Shift!\n");
+    label->setText("l_shift");
     break;
   case GDK_Shift_R:
     printf("Right Shift!\n");
+    label->setText("r_shift");
     break;
   case GDK_Control_L:
     printf("Left Control!\n");
+    label->setText("l_ctrl");
     break;
   case GDK_Control_R:
     printf("Right Control!\n");
+    label->setText("r_ctrl");
     break;
   case GDK_Alt_L:
     printf("Left Alt!\n");
+    label->setText("l_alt");
     break;
   case GDK_Alt_R:
     printf("Rigth Alt!\n");
+    label->setText("r_alt");
     break;
     // FXX KEYS //
   case GDK_F1:
     printf("F1!\n");
+    label->setText("f1");
     break;
   case GDK_F2:
     printf("F2!\n");
+    label->setText("f2");
     break;
   case GDK_F3:
     printf("F3!\n");
+    label->setText("f3");
     break;
   case GDK_F4:
     printf("F4!\n");
+    label->setText("f4");
     break;
   case GDK_F5:
     printf("F5!\n");
+    label->setText("f5");
     break;
   case GDK_F6:
     printf("F6!\n");
+    label->setText("f6");
     break;
   case GDK_F7:
     printf("F7!\n");
+    label->setText("f7");
     break;
   case GDK_F8:
     printf("F8!\n");
+    label->setText("f8");
     break;
   case GDK_F9:
     printf("F9\n");
+    label->setText("f9");
     break;
   case GDK_F10:
     printf("F10!\n");
+    label->setText("f10");
     break;
   case GDK_F11:
     printf("F11!\n");
+    label->setText("f11");
     break;
   case GDK_F12:
     printf("F12!\n");
+    label->setText("f12");
     break;
 
 
   default:
-    printf ("other key %c \n", event->keyval,event->keyval);
+    char* tmp;
+    sprintf(tmp, "%c", event->keyval);
+    printf ("other key %s \n", tmp);
+    label->setText(tmp);
     break;
   }
Index: orxonox/trunk/gui/orxonox_gui_keys.h
===================================================================
--- orxonox/trunk/gui/orxonox_gui_keys.h	(revision 2736)
+++ orxonox/trunk/gui/orxonox_gui_keys.h	(revision 2737)
@@ -41,4 +41,5 @@
 
   static gint openWindowEvent(GtkWidget* widget, GdkEvent* event, void* player);
+  static gint key_cb(GtkWidget* w, GdkEventKey* event, void* widget);
   void setkey(KEYS key);
   
@@ -64,5 +65,4 @@
 
 
-gint key_cb(GtkWidget* w, GdkEventKey* event, void* Widget);
 
 #endif /* _ORXONOX_GUI_KEYS_H */