Index: /code/branches/network/src/core/ArgumentCompletionFunctions.cc
===================================================================
--- /code/branches/network/src/core/ArgumentCompletionFunctions.cc	(revision 2749)
+++ /code/branches/network/src/core/ArgumentCompletionFunctions.cc	(revision 2750)
@@ -76,5 +76,5 @@
                     std::string dir = startdirectory.string();
                     if (dir.size() > 0 && dir[dir.size() - 1] == ':')
-                        startdirectory = dir + CP_SLASH;
+                        startdirectory = dir + '/';
                 }
 #endif
@@ -86,5 +86,5 @@
                 {
                     if (boost::filesystem::is_directory(*file))
-                        dirlist.push_back(ArgumentCompletionListElement((*file).string() + CP_SLASH, getLowercase((*file).string()) + "/", (*file).BOOST_LEAF_FUNCTION() + "/"));
+                        dirlist.push_back(ArgumentCompletionListElement((*file).string() + '/', getLowercase((*file).string()) + '/', (*file).BOOST_LEAF_FUNCTION() + '/'));
                     else
                         filelist.push_back(ArgumentCompletionListElement((*file).string(), getLowercase((*file).string()), (*file).BOOST_LEAF_FUNCTION()));
Index: /code/branches/network/src/core/CommandLine.cc
===================================================================
--- /code/branches/network/src/core/CommandLine.cc	(revision 2749)
+++ /code/branches/network/src/core/CommandLine.cc	(revision 2750)
@@ -307,5 +307,5 @@
         // They will not overwrite the arguments given directly
         std::ifstream file;
-        file.open(filepath.file_string().c_str());
+        file.open(filepath.string().c_str());
         args.clear();
         if (file)
Index: /code/branches/network/src/core/ConfigFileManager.cc
===================================================================
--- /code/branches/network/src/core/ConfigFileManager.cc	(revision 2749)
+++ /code/branches/network/src/core/ConfigFileManager.cc	(revision 2750)
@@ -241,5 +241,5 @@
         // Open the file
         std::ifstream file;
-        file.open(filepath.file_string().c_str(), std::fstream::in);
+        file.open(filepath.string().c_str(), std::fstream::in);
         if (file.is_open())
         {
@@ -347,5 +347,5 @@
 
         std::ofstream file;
-        file.open(filepath.file_string().c_str(), std::fstream::out);
+        file.open(filepath.string().c_str(), std::fstream::out);
         file.setf(std::ios::fixed, std::ios::floatfield);
         file.precision(6);
Index: /code/branches/network/src/core/Core.cc
===================================================================
--- /code/branches/network/src/core/Core.cc	(revision 2749)
+++ /code/branches/network/src/core/Core.cc	(revision 2750)
@@ -260,10 +260,5 @@
     /*static*/ std::string Core::getMediaPathString()
     {
-        return mediaPath_g.directory_string() + CP_SLASH;
-    }
-    /*static*/ std::string Core::getMediaPathPOSIXString()
-    {
         return mediaPath_g.string() + '/';
-
     }
 
@@ -274,8 +269,4 @@
     /*static*/ std::string Core::getConfigPathString()
     {
-        return configPath_g.directory_string() + CP_SLASH;
-    }
-    /*static*/ std::string Core::getConfigPathPOSIXString()
-    {
         return configPath_g.string() + '/';
     }
@@ -286,8 +277,4 @@
     }
     /*static*/ std::string Core::getLogPathString()
-    {
-        return logPath_g.directory_string() + CP_SLASH;
-    }
-    /*static*/ std::string Core::getLogPathPOSIXString()
     {
         return logPath_g.string() + '/';
@@ -456,5 +443,5 @@
             {
                 ThrowException(General, std::string("The ") + it->second + " directory has been preoccupied by a file! \
-                                         Please remove " + it->first.file_string());
+                                         Please remove " + it->first.string());
             }
             if (boost::filesystem::create_directories(it->first)) // function may not return true at all (bug?)
Index: /code/branches/network/src/core/Core.h
===================================================================
--- /code/branches/network/src/core/Core.h	(revision 2749)
+++ /code/branches/network/src/core/Core.h	(revision 2750)
@@ -83,7 +83,4 @@
             static std::string getConfigPathString();
             static std::string getLogPathString();
-            static std::string getMediaPathPOSIXString();
-            static std::string getConfigPathPOSIXString();
-            static std::string getLogPathPOSIXString();
 
             // fast access global variables.
Index: /code/branches/network/src/core/Language.cc
===================================================================
--- /code/branches/network/src/core/Language.cc	(revision 2749)
+++ /code/branches/network/src/core/Language.cc	(revision 2750)
@@ -210,10 +210,10 @@
         // This creates the file if it's not existing
         std::ofstream createFile;
-        createFile.open(filepath.file_string().c_str(), std::fstream::app);
+        createFile.open(filepath.string().c_str(), std::fstream::app);
         createFile.close();
 
         // Open the file
         std::ifstream file;
-        file.open(filepath.file_string().c_str(), std::fstream::in);
+        file.open(filepath.string().c_str(), std::fstream::in);
 
         if (!file.is_open())
@@ -261,5 +261,5 @@
         // Open the file
         std::ifstream file;
-        file.open(filepath.file_string().c_str(), std::fstream::in);
+        file.open(filepath.string().c_str(), std::fstream::in);
 
         if (!file.is_open())
@@ -317,5 +317,5 @@
         // Open the file
         std::ofstream file;
-        file.open(filepath.file_string().c_str(), std::fstream::out);
+        file.open(filepath.string().c_str(), std::fstream::out);
 
         if (!file.is_open())
Index: /code/branches/network/src/core/LuaBind.cc
===================================================================
--- /code/branches/network/src/core/LuaBind.cc	(revision 2749)
+++ /code/branches/network/src/core/LuaBind.cc	(revision 2750)
@@ -53,5 +53,5 @@
     LuaBind::singletonRef_s = this;
 
-    this->includePath_ = Core::getMediaPathPOSIXString();
+    this->includePath_ = Core::getMediaPathString();
 
     luaState_ = lua_open();
@@ -90,5 +90,5 @@
     output_ = "";
     std::ifstream file;
-    file.open(filepath.file_string().c_str(), std::fstream::in);
+    file.open(filepath.string().c_str(), std::fstream::in);
 
     if (!file.is_open())
Index: /code/branches/network/src/orxonox/gamestates/GSGraphics.cc
===================================================================
--- /code/branches/network/src/orxonox/gamestates/GSGraphics.cc	(revision 2749)
+++ /code/branches/network/src/orxonox/gamestates/GSGraphics.cc	(revision 2750)
@@ -136,5 +136,5 @@
         // load debug overlay
         COUT(3) << "Loading Debug Overlay..." << std::endl;
-        this->debugOverlay_ = new XMLFile((Core::getMediaPath() / "overlay" / "debug.oxo").file_string());
+        this->debugOverlay_ = new XMLFile((Core::getMediaPath() / "overlay" / "debug.oxo").string());
         Loader::open(debugOverlay_);
 
@@ -304,5 +304,5 @@
         // create our own log that we can listen to
         Ogre::Log *myLog;
-        myLog = ogreLogger_->createLog(ogreLogFilepath.file_string(), true, false, false);
+        myLog = ogreLogger_->createLog(ogreLogFilepath.string(), true, false, false);
         COUT(4) << "Ogre Log created" << std::endl;
 
@@ -317,10 +317,10 @@
             // create a zero sized file
             std::ofstream creator;
-            creator.open(ogreConfigFilepath.file_string().c_str());
+            creator.open(ogreConfigFilepath.string().c_str());
             creator.close();
         }
 
         // Leave plugins file empty. We're going to do that part manually later
-        ogreRoot_ = new Ogre::Root("", ogreConfigFilepath.file_string(), ogreLogFilepath.file_string());
+        ogreRoot_ = new Ogre::Root("", ogreConfigFilepath.string(), ogreLogFilepath.string());
 
         COUT(3) << "Ogre set up done." << std::endl;
@@ -336,4 +336,5 @@
         // Do some SubString magic to get the comma separated list of plugins
         SubString plugins(ogrePlugins_, ",", " ", false, 92, false, 34, false, 40, 41, false, '\0');
+        // Use backslash paths on Windows! file_string() already does that though.
         for (unsigned int i = 0; i < plugins.size(); ++i)
             ogreRoot_->loadPlugin((folder / plugins[i]).file_string());
@@ -356,5 +357,5 @@
         try
         {
-            cf.load((Core::getMediaPath() / resourceFile_).file_string());
+            cf.load((Core::getMediaPath() / resourceFile_).string());
         }
         catch (...)
@@ -382,5 +383,5 @@
 
                     Ogre::ResourceGroupManager::getSingleton().addResourceLocation(
-                        (Core::getMediaPath() / archName).directory_string(), typeName, secName);
+                        (Core::getMediaPath() / archName).string(), typeName, secName);
                 }
             }
Index: /code/branches/network/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- /code/branches/network/src/orxonox/gamestates/GSLevel.cc	(revision 2749)
+++ /code/branches/network/src/orxonox/gamestates/GSLevel.cc	(revision 2750)
@@ -202,5 +202,5 @@
         std::string levelName;
         CommandLine::getValue("level", &levelName);
-        startFile_ = new XMLFile(Core::getMediaPathString() + "levels" + CP_SLASH + levelName);
+        startFile_ = new XMLFile(Core::getMediaPathString() + "levels" + '/' + levelName);
         Loader::open(startFile_);
     }
Index: /code/branches/network/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- /code/branches/network/src/orxonox/gamestates/GSRoot.cc	(revision 2749)
+++ /code/branches/network/src/orxonox/gamestates/GSRoot.cc	(revision 2750)
@@ -111,5 +111,5 @@
 
         // initialise TCL
-        this->tclBind_ = new TclBind(Core::getMediaPathPOSIXString());
+        this->tclBind_ = new TclBind(Core::getMediaPathString());
         this->tclThreadManager_ = new TclThreadManager(tclBind_->getTclInterpreter());
 
Index: /code/branches/network/src/orxonox/gui/GUIManager.cc
===================================================================
--- /code/branches/network/src/orxonox/gui/GUIManager.cc	(revision 2749)
+++ /code/branches/network/src/orxonox/gui/GUIManager.cc	(revision 2750)
@@ -154,5 +154,5 @@
                 boost::filesystem::path ceguiLogFilepath(Core::getLogPath() / "cegui.log");
                 this->ceguiLogger_ = new DefaultLogger();
-                this->ceguiLogger_->setLogFilename(ceguiLogFilepath.file_string());
+                this->ceguiLogger_->setLogFilename(ceguiLogFilepath.string());
                 // set the log level according to ours (translate by subtracting 1)
                 this->ceguiLogger_->setLoggingLevel(